/*
 * Copyright (C) 2003  Diez B. Roggisch [deets@web.de]
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: CountFilter.java 114 2005-12-09 15:51:51Z christianc $
 */
package org.barracudamvc.contrib.dbroggisch.display.filters;

import java.util.Collection;

public class CountFilter implements Filter {

        public Object filter(Object obj, FilterContext context)
                throws FilterException
        {
                if(obj == null) {
                        return null;
                }
                if(obj instanceof java.util.Collection) {
                        return new Integer(((Collection)obj).size());
                } else {
                        try {
                                return new Integer(java.lang.reflect.Array.getLength(obj));
                        } catch(IllegalArgumentException ex) {
                                throw new FilterException("Not a countable object.");
                        }
                }
        }

        public Filter configure(Object obj)
                throws FilterException
        {
            return this;
        }
}
