/*
 * Copyright (C) 2003  Diez B. Roggisch [deets@web.de]
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: RepopulationElement.java 114 2005-12-09 15:51:51Z christianc $
 */
package org.barracudamvc.contrib.dbroggisch.repopulation;

import org.barracudamvc.core.comp.ViewContext;

/**
 * This interfaces must be implemented by all FormElements
 * that are capable of beeing repopulated using the
 * {@link org.barracudamvc.contrib.dbroggisch.repopulation.RepopulationFormMap RepopulationFormMap}.
 * <p>
 *
 * @author <a href="mailto:deets@web.de">Diez B. Roggisch</a>
 * @version 1.0
 */
public interface RepopulationElement {
    /**
     * When the FormElements are processed, the actual rendering
     * is delegated to the FormElement by invoking this method.
     * <p> The result is any legal object that can be returned from
     * {@link org.barracudamvc.core.comp.TemplateModel#getItem TemplateModel}.
     *
     * @param context a <code>ViewContext</code> value
     * @return an <code>Object</code> value
     */
    public Object render(ViewContext context);
}
