/*
 * Copyright (C) 2003  Diez B. Roggisch [deets@web.de]
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: FileUploadHandler.java 124 2005-12-28 06:03:02Z jkjome $
 */
package org.barracudamvc.contrib.dbroggisch.examples.controller.handlers;

import java.io.IOException;
import java.util.ArrayList;
import java.util.Enumeration;
import java.util.List;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import org.barracudamvc.core.event.ControlEventContext;
import org.barracudamvc.core.event.EventException;
import org.barracudamvc.core.helper.servlet.MultipartRequestWrapper;
import org.barracudamvc.contrib.dbroggisch.page.Page;
import org.barracudamvc.contrib.dbroggisch.page.PageEventListener;

import org.barracudamvc.contrib.dbroggisch.examples.view.pages.*;


public class FileUploadHandler extends PageEventListener {

    public void handleControlEvent(ControlEventContext context, Page p)
            throws EventException, ServletException, IOException {
        HttpServletRequest request = context.getRequest();
        List realNames = new ArrayList();
        FileUploadPage fuPage = (FileUploadPage)p;
        fuPage.setState(ExampleBasePage.FILEUPLOAD);

        if (request instanceof MultipartRequestWrapper) {
            MultipartRequestWrapper mReq = (MultipartRequestWrapper) request;

            for (Enumeration enumer = mReq.getFileParameterNames(); enumer.hasMoreElements();) {
                realNames.add(mReq.getFileItem((String) enumer.nextElement()).toString());
            }
        }
        fuPage.setNames(realNames);
        context.getEvent().setHandled(true);
    }

}
