/*
 * Copyright (C) 2003  Stefan Armbruster [stefan@armbruster-it.de]
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: DataObjectModel.java 114 2005-12-09 15:51:51Z christianc $
 */
package org.barracudamvc.contrib.sam.models;

/** provide a model to retrieve the data of a DataObject by calling its get method */

import org.apache.log4j.Logger;
import org.barracudamvc.contrib.sam.data.DataObject;
import org.barracudamvc.contrib.sam.data.DataObjectException;
import org.barracudamvc.core.comp.AbstractTemplateModel;

public class DataObjectModel extends AbstractTemplateModel {

    protected static Logger logger = Logger.getLogger(DataObjectModel.class);
    protected String name;
    protected DataObject dataObj;

    public DataObjectModel(String name, DataObject dataObj) {
        this.name = name;
        this.dataObj = dataObj;
    }

    public String getName() {
        return name;
    }

    public Object getItem(String key) {
        try {
            return dataObj.get(key);
        } catch (DataObjectException ex) {
            logger.error(ex.getMessage(), ex);
            return super.getItem(key);
        }
    }
}
