/*
 * Copyright (C) 2003  Christian Cryder [christianc@granitepeaks.com]
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: TemplateModel.java 114 2005-12-09 15:51:51Z christianc $
 */
package org.barracudamvc.core.comp;

import org.barracudamvc.core.comp.model.Model;

/**
 * This interface defines the methods needed to implement a 
 * TemplateModel.
 */
public interface TemplateModel extends Model, Contextual {
    public String getName();
//    public void resetModel();
    public boolean processDirective(TemplateDirective td);
//csc_030603.2_start - this method has been replaced by the version that    
//takes a TemplateDirective. The implementation in AbstractTemplateModel, 
//however, continues to call getItem(String key) - that method is just no 
//longer part of the interface - so existing code should continue to work.
//    public Object getItem(String key); 
    public Object getItem(TemplateDirective td);    
//csc_030603.2_end
//    public void addTemplateModelListener(TemplateModelListener l);
//    public void removeTemplateModelListener(TemplateModelListener l);
}

