package org.barracudamvc.examples.xmlc;

import org.barracudamvc.core.comp.AbstractTemplateModel;
import org.barracudamvc.core.comp.BAction;
import org.barracudamvc.core.comp.BLink;
import org.barracudamvc.core.comp.TemplateModel;
import org.barracudamvc.core.comp.helper.BTemplateGateway;
import org.barracudamvc.core.util.dom.DOMWriter;
import org.barracudamvc.core.util.dom.DefaultDOMWriter;

/**
 * Test our ability to detect client side Javascript being 
 * enabled.
 */
public class CompEx8 extends BTemplateGateway {

    

    //-------------------- BTemplateGateway ----------------------
    /**
     * Return an instance of the template model
     */
    public TemplateModel getTemplateModel() {
        return new LocalTemplateModel();
    }
    
    /**
     * Return an instance of the template class (must implement Document)
     */
    public Class getTemplateClass() {
        return CompEx8HTML.class;
    }
    
    public DOMWriter getDOMWriter() {
        return new DefaultDOMWriter(true);
    }

    //--------------- TemplateModel --------------------------
    /**
     * LocalTemplateModel
     */
    class LocalTemplateModel extends AbstractTemplateModel {
    
        //register the model by name
        public String getName() {return "Ex8";}
        
        //provide items by key
        public Object getItem(String key) {
            if (key.equals("Link1")) {
                return new BLink("A sample link", "/Barracuda/CompTest8");
            } else if (key.equals("Form1")) {
                return new BAction("/Barracuda/CompTest8");
            } else {
                return super.getItem(key);
            }
        }
    }
}
