package org.barracudamvc.testbed.workbench.util.gui;

import java.awt.Component;
import java.awt.Container;


/**
 * Container utilities
 */
public class Containers {

    /**
     * This method finds the root container given a starting component
     *
     * @param comp
     * @return the root Container or null if the Component argument is null
     */
    public static Container getRootContainer(Component comp) {
        if (comp==null) return null;
        return getRootContainer(comp.getParent());
    }

    /**
     * This method finds the root container given a starting container
     *
     * @param cont      The container in question
     * @return the root Container or null if the Container argument is null
     */
    public static Container getRootContainer(Container cont) {

        //eliminate the obvious
        if (cont==null) return null;

        Container parent = cont.getParent();
        if (parent!=null) return getRootContainer(parent);
        else return cont;
    }

}
