/*
 * Copyright (C) 2003  Christian Cryder [christianc@granitepeaks.com]
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: DummyXmlcUtils.java 114 2005-12-09 15:51:51Z christianc $
 */
package org.barracudamvc.taskdefs;

// import java specifics
import java.io.File;

import org.enhydra.xml.xmlc.taskdef.*;

/**
 * Dummy implementation of XmlcUtils for use in testing
 *
 */
public class DummyXmlcUtils extends XmlcUtils {

    //===========================================================================
    // QUERY METHODS
    //===========================================================================

    /**
     * Get a list of options files for the specified directory.
     * This method will search for the default options file name
     * (options.xmlc) in the specified directory and the user.dir
     * directory as well. It will return them in that order.
     *
     * @param theDirectory
     *               The directory to look in for the options file.
     * @return An array of options files with absolute paths.
     *         An empty array if none found.
     */
    public String[] getOptionFiles( File theDirectory ) {
        return null;
    }

    /**
     * Get a list of options files for the specified directory,
     * having the specified name. This method will search for the
     * specified options file name and the default options file name
     * (options.xmlc) in the specified directory and the user.dir
     * directory as well. It will return them in that order.
     *
     * @param theDirectory
     *               The directory to look in for the options file.
     * @param theOptionsFileName
     *               The name of the options file to look for.
     * @return An array of options files with absolute paths.
     *         An empty array if none found.
     */
    public String[] getOptionFiles( File theDirectory, String theOptionsFileName ) {
        return null;
    }

    /**
     * Get a list of options files for the specified directory,
     * having the specified names. This method will search for the
     * specified options file names and the default options file name
     * (options.xmlc) in the specified directory and the user.dir
     * directory as well. It will return them in that order.
     *
     * @param theDirectory
     *               The directory to look in for the options file.
     * @param theOptionsFileNames
     *               The list of names of the options file to look for.
     * @return An array of options files with absolute paths.
     *         An empty array if none found.
     */
    public String[] getOptionFiles( File theDirectory, String[] theOptionsFileNames ) {
        return null;
    }

    /**
     * Get a list of options files for the specified directories,
     * having the specified name. This method will search for the
     * specified options file name and the default options file name
     * (options.xmlc) in the specified directories and the user.dir
     * directory as well. It will return them in that order.
     *
     * @param theDirectories
     *               The list of directories to look in for the options files.
     * @param theOptionsFileName
     *               The name of the options file to look for.
     * @return An array of options files with absolute paths.
     *         An empty array if none found.
     */
    public String[] getOptionFiles( File[] theDirectories, String theOptionsFileName ) {
        return null;
    }

    /**
     * Get a list of options files for the specified directories,
     * having the specified names. This method will search for the
     * specified options file names and the default options file name
     * (options.xmlc) in the specified directories and the user.dir
     * directory as well. It will return them in that order.
     *
     * @param theDirectories
     *               The list of directories to look in for the options files.
     * @param theOptionsFileNames
     *               The list of names of the options file to look for.
     * @return An array of options files with absolute paths.
     *         An empty array if none found.
     */
    public String[] getOptionFiles( File[] theDirectories, String[] theOptionsFileNames ) {
        return null;
    }

    /**
     * Build a full base file name (i.e. with no file type) out of
     * the specified components.
     *
     * Note that any directory prefix on the theBaseFileName file is stripped before
     * thePackageDir is applied. So that the following call :
     *
     *     buildFullBaseFileName( "a.b.c", "foo/resources", "config/test.html" );
     *
     * will return a string of "a/b/c/foo/resources/test"
     *
     * and this call :
     *
     *     buildFullBaseFileName( "a.b.c", "", "config/test.html" );
     *
     * will return a string of "a/b/c/config/test"
     *
     * @param thePackageName
     *               The name of the package to prepend to the file name.
     *               This should be specified using the Java naming convention
     *               i.e. org.enhydra.xmlc
     * @param thePackageDir
     *               The name of the directory to prepend to the file name.
     *               This is a directory path that can be specified using either '/' or '\'
     *               i.e. foo/resources
     * @param theBaseFileName
     *               The base file name that the preceding strings are prepended to.
     * @return A string representing the full path resulting from the specified components
     *         with all separators set to '/'
     */
    public String buildFullBaseFileName( String thePackageName,
                                                String thePackageDir,
                                                String theBaseFileName ) {
        return null;
    }

    /**
     * Build a Java class name out of the specified components.
     *
     * @param theFullBaseFileName
     *               The full base file name (specified with '/' separators)
     *               and no file type. e.g. "org.enhydra.test"
     * @param theModifier
     *               The file modifier to append to the class name
     *               e.g. HTML
     * @return A Java class name string
     */
    public String buildClassName( String theFullBaseFileName,
                                         String theModifier ) {
        return null;
    }

}

